Early access
List all review responses
Returns a list of review responses
Returns a list of review responses
Query Parameters
Filter by review cycle IDs
Filter by review IDs
Filter by reviewee (people) IDs
Filter by review cycle type. Allowed values: manual, lifecycle
Value in
- "manual"
- "lifecycle"
created_at after an ISO 8601 date or timestamp
date-timecreated_at on or after an ISO 8601 date or timestamp
date-timecreated_at before an ISO 8601 date or timestamp
date-timecreated_at on or before an ISO 8601 date or timestamp
date-timeupdated_at after an ISO 8601 date or timestamp
date-timeupdated_at on or after an ISO 8601 date or timestamp
date-timeupdated_at before an ISO 8601 date or timestamp
date-timeupdated_at on or before an ISO 8601 date or timestamp
date-timePage offset to fetch.
int321Number of results to return per page.
int321 <= value <= 10050Pad a number of results.
int320Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v4/perform/review_responses"{ "data": [ { "id": 0, "review_id": 0, "reviewee_id": 0, "reviewer_id": 0, "review_cycle_type": "manual", "review_cycle": { "id": 0, "name": "string", "starts_on": "2019-08-24", "ends_on": "2019-08-24" }, "type": { "label": "string", "name": "string" }, "status": "string", "submitted_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "answers": [ { "question": { "id": 0, "type": "string", "title": "string" }, "value": null, "comment": "string" } ] } ], "metadata": { "page": 0, "per_page": 0, "total_pages": 0, "total_count": 0 }}